<?php

namespace GS_Instagram\Frontend;

use Exception;
use GS_Instagram\Common\Instagram_Client;

class Shortcode {

    /**
     * Constructor of Shortcode class
     */
    public function __construct() {
        add_shortcode( 'gs_instagram', [ $this, 'gs_instagram' ] );
    }

    /**
     * Output of `gs_instagram` shortcode
     */
    public function gs_instagram( $atts, $content = null ) {

        $attr = shortcode_atts( [
            'id' => null,
        ], $atts );

        wp_enqueue_style( 'gsip-public-style' );
        wp_enqueue_script( 'gsip-public-script' );

        return '<div class="gs-instagram-public-app" id="gsip-shortcode-app-' . $attr['id'] . '" data-themeid="' . $attr['id'] . '"></div>';
    }

}
